clang 8.0.0

Public Member Functions | List of all members
clang::ASTReader::ModuleDeclIterator Class Reference

`#include "clang/Serialization/ASTReader.h"`

Inheritance diagram for clang::ASTReader::ModuleDeclIterator:
[legend]
Collaboration diagram for clang::ASTReader::ModuleDeclIterator:
[legend]

## Public Member Functions
| ModuleDeclIterator ()
| ModuleDeclIterator (ASTReader *Reader, ModuleFile *Mod, const serialization::LocalDeclID *Pos)
value_type | operator* () const
value_type | operator-> () const
bool | operator== (const ModuleDeclIterator &RHS) const

## Detailed Description

Definition at line 1390 of file ASTReader.h.

## Constructor & Destructor Documentation

## ◆ ModuleDeclIterator() [1/2]

clang::ASTReader::ModuleDeclIterator::ModuleDeclIterator | ( |  | ) |
| inline

Definition at line 1399 of file ASTReader.h.

## ◆ ModuleDeclIterator() [2/2]

clang::ASTReader::ModuleDeclIterator::ModuleDeclIterator | ( | ASTReader * | Reader,
|  | ModuleFile * | Mod,
|  | const serialization::LocalDeclID * | Pos
| ) |  |
| inline

Definition at line 1401 of file ASTReader.h.

## Member Function Documentation

## ◆ operator*()

value_type clang::ASTReader::ModuleDeclIterator::operator* | ( |  | ) | const
| inline

Definition at line 1405 of file ASTReader.h.

References clang::ASTReader::GetDecl(), and clang::ASTReader::getGlobalDeclID().

## ◆ operator->()

value_type clang::ASTReader::ModuleDeclIterator::operator-> | ( |  | ) | const
| inline

Definition at line 1409 of file ASTReader.h.

## ◆ operator==()

bool clang::ASTReader::ModuleDeclIterator::operator== | ( | const ModuleDeclIterator & | RHS | ) | const
| inline

Definition at line 1411 of file ASTReader.h.

The documentation for this class was generated from the following file:

- include/clang/Serialization/ASTReader.h